upstream addwine_app {
    server unix:/tmp/addwine.sock fail_timeout=0;
}

server {
  # use 'listen 80 deferred;' for Linux
  # use 'listen 80 accept_filter=httpready;' for FreeBSD
  client_max_body_size 4G;
  charset utf-8;
  gzip on;
  gzip_disable "msie6";
  gzip_types text/plain text/css application/json application/x-javascript text/xml application/xml application/xml+rss text/javascript application/javascript;
  gzip_comp_level 5;

  # set the correct host(s) for your site
  server_name addwine.ru 78.24.223.75;

  keepalive_timeout 5;

  # path for static files
  root /var/www/addwine.ru/addwine/media;

  location /media {
    # checks for static file, if not found proxy to app
    autoindex on;    
    alias /var/www/addwine.ru/addwine/media;
  }

  location /5498gf54h89f {
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header X-Forwarded-Proto $scheme;
    proxy_set_header Host $http_host;
    proxy_redirect off;
    proxy_pass http://127.0.0.1:9001;
  }

  location / {
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header X-Forwarded-Proto $scheme;
    proxy_set_header Host $http_host;
    proxy_redirect off;
    proxy_pass http://addwine_app;
  }

    listen 443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/addwine.ru/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/addwine.ru/privkey.pem; # managed by Certbot
    include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot

}


server {
    if ($host = addwine.ru) {
        return 301 https://$host$request_uri;
    } # managed by Certbot
    if ($host = www.addwine.ru) {
        return 301 https://addwine.ru$request_uri;
    } # managed by Certbot


  listen 80;
  server_name www.addwine.ru addwine.ru 78.24.223.75;
    return 404; # managed by Certbot


}
